FLTK 1.3.3

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Attributes | List of all members
Fl_Device Class Reference

All graphical output devices and all graphics systems. More...

`#include <Fl_Device.H>`

Inheritance diagram for Fl_Device:

## Public Member Functions
virtual const char * | class_name ()
| Returns the name of the class of this object. More...
virtual | ~Fl_Device ()
| Virtual destructor. More...

## Static Public Attributes
static const char * | class_id = "Fl_Device"
| A string that identifies each subclass of Fl_Device. More...

## Detailed Description

All graphical output devices and all graphics systems.

## Constructor & Destructor Documentation

virtual Fl_Device::~Fl_Device | ( |  | ) |
| inline virtual

Virtual destructor.

The destructor of Fl_Device must be virtual to make the destructors of derived classes being called correctly on destruction.

## Member Function Documentation

virtual const char* Fl_Device::class_name | ( |  | ) |
| inline virtual

Returns the name of the class of this object.

Use of the class_name() function is discouraged because it will be removed from future FLTK versions.

The class of an instance of an Fl_Device subclass can be checked with code such as:

if ( instance->class_name() == Fl_Printer::class_id ) { ... }

Reimplemented in Fl_Display_Device, Fl_Surface_Device, Fl_Xlib_Graphics_Driver, Fl_GDI_Printer_Graphics_Driver, Fl_GDI_Graphics_Driver, Fl_Quartz_Graphics_Driver, Fl_Graphics_Driver, Fl_PostScript_File_Device, Fl_Printer, Fl_Paged_Device, Fl_PostScript_Printer, Fl_Copy_Surface, Fl_System_Printer, Fl_Image_Surface, and Fl_PostScript_Graphics_Driver.

## Member Data Documentation

const char * Fl_Device::class_id = "Fl_Device"
| static

A string that identifies each subclass of Fl_Device.

Function class_name() applied to a device of this class returns this string.

The documentation for this class was generated from the following files:

- Fl_Device.H
- Fl_Device.cxx

- © 1998-2014 by Bill Spitzak and others.